MASON_MATERIALIZER(1)

NAME
mason_materializer - VCF Materialization

SYNOPSIS
mason_materializer [OPTIONS] -ir IN.fa -iv IN.vcf -o OUT.fa

DESCRIPTION
Apply variants from IN.vcf to IN.fa and write the results to out.fa.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

-q, --quiet
    Low verbosity.

-v, --verbose
    Higher verbosity.

-vv, --very-verbose
    Highest verbosity.

--seed INTEGER
    Seed for random number generation. Default: 0.

--meth-seed INTEGER
    Seed for methylation simulation random number generation. Default: 0.

-o, --out OUTPUT_FILE
    Output of materialized contigs. Valid filetypes are: .sam[.*], .raw[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

--out-breakpoints OUTPUT_FILE
    TSV file to write breakpoints in variants to. Valid filetypes are: .txt and .tsv.

--haplotype-name-sep STRING
    String separating contig name from haplotype number. Default: /.

--meth-fasta-in INPUT_FILE
    FASTA file with methylation levels of the input file. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

--meth-fasta-out OUTPUT_FILE
    FASTA file with methylation levels of the output file. Valid filetypes are: .sam[.*], .raw[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

  Apply VCF Variants to Reference:

-ir, --input-reference INPUT_FILE
    Path to FASTA file to read the reference from. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

-iv, --input-vcf INPUT_FILE
    Path to the VCF file with variants to apply. Valid filetype is: .vcf[.*], where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

  Methylation Level Simulation:

--methylation-levels
    Enable methylation level simulation.

--meth-cg-mu DOUBLE
    Median of beta distribution for methylation level of CpG loci. In range [0..1]. Default: 0.6.

--meth-cg-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CpG loci. In range [0..1]. Default: 0.03.

--meth-chg-mu DOUBLE
    Median of beta distribution for methylation level of CHG loci. In range [0..1]. Default: 0.08.

--meth-chg-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CHG loci. In range [0..1]. Default: 0.008.

--meth-chh-mu DOUBLE
    Median of beta distribution for methylation level of CHH loci. In range [0..1]. Default: 0.05.

--meth-chh-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CHH loci. In range [0..1]. Default: 0.005.

VCF VARIANT NOTES
If the option --input-vcf/-iv is given then the given VCF file is read and the variants are applied to the input reference file. If it is not given then the input reference file is taken verbatimly for simulating reads.

There are some restrictions on the VCF file and the application of the variants to the reference will fail if the VCF file is non-conforming. VCF files from the mason_variator program are guaranteed to be read.

Only the haplotypes of the first individual will be generated.